Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 298242 - sys-cluster/mpe2: java.eclassesnotused, please inherit java eclass
Summary: sys-cluster/mpe2: java.eclassesnotused, please inherit java eclass
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High trivial (vote)
Assignee: Justin Bronder (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-24 18:29 UTC by Pacho Ramos
Modified: 2015-10-19 06:46 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2009-12-24 18:29:47 UTC
When I run repoman full I got:
$ repoman full

RepoMan scours the neighborhood...
  java.eclassesnotused          1
   sys-cluster/mpe2/mpe2-1.0.6_p1.ebuild

Note: use --include-dev (-d) to check dependencies for 'dev' profiles

RepoMan sez: "You're only giving me a partial QA payment?
              I'll take it this time, but I'm not happy."


Thanks for solving it

Reproducible: Always
Comment 1 Justin Bronder (RETIRED) gentoo-dev 2010-09-13 19:12:47 UTC
According to the java devel document:

"java-pkg-2.eclass

This is the eclass you should for any package using Java. It inherits java-utils-2, and gives you all the needed function. It also depends on the correct version of java-config the eclass needs to do its work. It also exports the pkg_setup phase, where it switchs the vm and setup the environment for your VM."

Java team, is this a false positive?
Comment 2 Patrice Clement gentoo-dev 2015-07-28 08:50:13 UTC
--- mpe2-1.0.6_p1-r1.ebuild     2013-01-06 18:48:37.000000000 +0000
+++ mpe2-1.0.6_p1-r2.ebuild     2015-07-28 09:46:29.648000000 +0000
@@ -1,12 +1,12 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/sys-cluster/mpe2/mpe2-1.0.6_p1-r1.ebuild,v 1.8 2013/01/06 18:48:37 jsbronder Exp $

-EAPI=2
+EAPI=5

 FORTRAN_NEEDED=fortran

-inherit eutils fortran-2 java-utils-2 toolchain-funcs
+inherit eutils fortran-2 java-pkg-opt-2 toolchain-funcs

 MY_P=${P/_/}
 DESCRIPTION="MPI development tools"
@@ -23,11 +23,11 @@
        || ( sys-cluster/openmpi[fortran?,threads?]
                sys-cluster/mpich2[fortran?,threads?] )"

-DEPEND="!minimal? ( >=virtual/jdk-1.4 )
+DEPEND="!minimal? ( >=virtual/jdk-1.6 )
        ${COMMON_DEPEND}"

 RDEPEND="
-!minimal? ( >=virtual/jre-1.4 )
+!minimal? ( >=virtual/jre-1.6 )
        ${COMMON_DEPEND}"

 S="${WORKDIR}"/${MY_P}
@@ -64,6 +64,10 @@
        fi

        einfo "Building with support for: sys-cluster/${MPE_IMP}"
+
+       if ! minimal; then
+               java-pkg-opt-2_pkg_setup
+       fi
 }

 src_prepare() {
@@ -71,6 +75,10 @@
        sed -i 's,\($MPERUN\) $pgm,\1 ./$pgm,' sbin/mpetestexeclog.in
        epatch "${FILESDIR}"/slog2sdk-trace_rlog-makefile-fixes.patch
        epatch "${FILESDIR}"/slog2sdk-trace_sample-makefile-fixes.patch
+
+       if ! minimal; then
+               java-pkg-opt-2_src_prepare
+       fi
 }

 src_configure() {

As explained in java-utils-2 documentation:

# This eclass should not be inherited directly from an ebuild. Instead,
# you should inherit java-pkg-2 for Java packages or java-pkg-opt-2 for packages
# that have optional Java support. In addition you can inherit java-ant-2 for
# Ant-based packages.

You're not doing anything fancy in the ebuild so I'd suggest using java-pkg-opt-2. Apparently, Java support is not required when the minimal USE flag is turned on. I've taken the liberty to EAPI 5 bump this ebuild as well.

+*mpe2-1.0.6_p1-r2 (28 Jul 2015)
+
+  28 Jul 2015; Patrice Clement <monsieurp@gentoo.org> +mpe2-1.0.6_p1-r2.ebuild:
+  EAPI 5 bump. Set up proper (optional) Java support and suppress QA warning.
+  Fixes bug 298242.
+

Read the documentation next time. ;)
Comment 3 Arfrever Frehtes Taifersar Arahesis 2015-10-19 06:46:50 UTC
(In reply to Patrice Clement from comment #2)
> --- mpe2-1.0.6_p1-r1.ebuild     2013-01-06 18:48:37.000000000 +0000
> +++ mpe2-1.0.6_p1-r2.ebuild     2015-07-28 09:46:29.648000000 +0000
> @@ -64,6 +64,10 @@
>         fi
> 
>         einfo "Building with support for: sys-cluster/${MPE_IMP}"
> +
> +       if ! minimal; then

Missing 'use' here.

> +               java-pkg-opt-2_pkg_setup
> +       fi
>  }
> 
>  src_prepare() {
> @@ -71,6 +75,10 @@
>         sed -i 's,\($MPERUN\) $pgm,\1 ./$pgm,' sbin/mpetestexeclog.in
>         epatch "${FILESDIR}"/slog2sdk-trace_rlog-makefile-fixes.patch
>         epatch "${FILESDIR}"/slog2sdk-trace_sample-makefile-fixes.patch
> +
> +       if ! minimal; then

And here.

> +               java-pkg-opt-2_src_prepare
> +       fi